import React__default, { useEffect } from 'react';
import { useInView } from '@jobber/hooks';

var styles = {"trigger":"_8SCmS4wfKOQ-","spinning":"coGWl7tznJU-"};

function FilterPickerLoadMore({ onLoadMore, }) {
    const [inViewRef, isInView] = useInView();
    useEffect(() => {
        isInView && onLoadMore();
    }, [isInView]);
    return (React__default.createElement("div", { "data-testid": "ATL-FilterPicker-Loadmore-Trigger", ref: inViewRef, className: styles.trigger }));
}

export { FilterPickerLoadMore as F };
